/*******************************************************************************
 * FoxAIAction_Reposition generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_Reposition extends FoxAIAction
    native(AI)
    editinlinenew
    hidecategories(Object);

var() int MaxAttempts;
var() float MinRange;
var() float RangeBuffer;

// Export UFoxAIAction_Reposition::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_Reposition::execTick(FFrame&, void* const)
native function Tick(float DeltaTime);

defaultproperties
{
    MaxAttempts=256
    MinRange=300.0
    RangeBuffer=100.0
    Duration=1.0
    StateString="Repositioning"
}